Cannot verify server identify error message in MacOS/iphone email app

microvax

Well-Known Member
Mar 4, 2021
50
4
8
Lima
cPanel Access Level
Root Administrator
Hello,
Today several users started to receive this error message on their MacOS and Iphone email applications
and I have the impression that it has to do with an expiring SSL certificate, so I started to check their expiration dates
and they seem to be renewed today.

However their email clients are still showing the error message, so I was wondering if there is a way to force their software
to update the validation information
 

smurf

Well-Known Member
Jun 4, 2009
51
9
58
This has just started happening for us on one cPanel server in the last hour. Seems a bigger issue. We've opened a ticket with cPanel support.
 

coursevector

Well-Known Member
Feb 23, 2015
154
19
68
cPanel Access Level
Root Administrator
This is affecting my servers as well, Thunderbird, Outlooks, mobile device mail apps all seem affected. It's as if the exim/dovecot SNI stopped working. I guess I'll open a support ticket too.
 

coursevector

Well-Known Member
Feb 23, 2015
154
19
68
cPanel Access Level
Root Administrator
This appears to be related to Let's Encrypt expiration of their root certificate. cPanel have any advice to resolve this error?

 

microvax

Well-Known Member
Mar 4, 2021
50
4
8
Lima
cPanel Access Level
Root Administrator
Also noticed that some Outlook clients started to report this error message
"Your server does not support the connection encryption type you have specified"
 

MindServer

Well-Known Member
Mar 18, 2020
230
31
28
Spain
cPanel Access Level
Root Administrator
Hi,

I have the same problem, my clients receive this message error and cannot connect to email since her devices. The server have Let's Encrypt in all cPanel accounts and are renewed.

Why happens this problem?, how can we solve him fast?. This is a big issues.

Thank you very much.
 

MindServer

Well-Known Member
Mar 18, 2020
230
31
28
Spain
cPanel Access Level
Root Administrator
This is a very urgent problem, please can you take this with priority? the clients cannot connect to email with remote tools (thunderbird, outlook, phone mail,etc.).

Thank you very much @cPRex
 

quietFinn

Well-Known Member
Feb 4, 2006
1,394
178
193
Finland
cPanel Access Level
Root Administrator
We had the same problem and here is what I did:
 

MindServer

Well-Known Member
Mar 18, 2020
230
31
28
Spain
cPanel Access Level
Root Administrator
We had the same problem and here is what I did:
But this will remove all the SSL from the servers, we are working with Let's Encrypt since many years correctly, WHM/cPanel need update to latest versions for solve the bug: Let's Encrypt's Root Certificate is expiring!

In WHM -> Manage AutoSSL, I found this option: Select the following option to update your registration. The system will overwrite your existing registration. This is optional and not required to use this provider

Maybe can solve the problem?. Thank you